package logs

// Common service logs.
const (
	ServingRequest                = "serving request..."
	OperationFinishedSuccessfully = "operation finished successfully"
	OperationFinishedWithError    = "operation finished with error"

	TryingToExecuteInContainer           = "trying to execute in container..."
	CouldNotGetCurrentEpochNumber        = "could not get current epoch number"
	ProcessEpoch                         = "process epoch"
	ProcessingNode                       = "processing node..."
	NoMoreNodesAbortPlacementIteration   = "no more nodes, abort placement iteration"
	InterruptPlacementIterationByContext = "interrupt placement iteration by context"

	Notification = "notification"

	SkipDeprecatedNotification = "skip deprecated notification"
)

const (
	InnerringNonalphabetModeDoNotStopContainerEstimations                = "non-alphabet mode, do not stop container estimations"
	InnerringCantStopEpochEstimation                                     = "can't stop epoch estimation"
	InnerringCantMakeNotaryDepositInMainChain                            = "can't make notary deposit in main chain"
	InnerringCantMakeNotaryDepositInSideChain                            = "can't make notary deposit in side chain"
	InnerringNotaryDepositHasAlreadyBeenMade                             = "notary deposit has already been made"
	InnerringCantGetInnerRingIndex                                       = "can't get inner ring index"
	InnerringCantGetInnerRingSize                                        = "can't get inner ring size"
	InnerringCantGetAlphabetIndex                                        = "can't get alphabet index"
	InnerringIgnoreValidatorVoteNodeNotInAlphabetRange                   = "ignore validator vote: node not in alphabet range"
	InnerringIgnoreValidatorVoteEmptyValidatorsList                      = "ignore validator vote: empty validators list"
	InnerringCantInvokeVoteMethodInAlphabetContract                      = "can't invoke vote method in alphabet contract"
	InnerringCantGetLastProcessedMainChainBlockNumber                    = "can't get last processed main chain block number"
	InnerringNotarySupport                                               = "notary support"
	InnerringAlphabetKeysSyncIsDisabled                                  = "alphabet keys sync is disabled"
	InnerringNoControlServerEndpointSpecified                            = "no Control server endpoint specified, service is disabled"
	InnerringCantGetLastProcessedSideChainBlockNumber                    = "can't get last processed side chain block number"
	InnerringFailedToSetGroupSignerScope                                 = "failed to set group signer scope, continue with Global"
	InnerringCantVoteForPreparedValidators                               = "can't vote for prepared validators"
	InnerringNewBlock                                                    = "new block"
	InnerringCantUpdatePersistentState                                   = "can't update persistent state"
	InnerringCloserError                                                 = "closer error"
	InnerringReadConfigFromBlockchain                                    = "read config from blockchain"
	NotificatorNotificatorStartProcessingObjectNotifications             = "notificator: start processing object notifications"
	NotificatorNotificatorProcessingObjectNotification                   = "notificator: processing object notification"
	PolicerCouldNotGetContainer                                          = "could not get container"
	PolicerCouldNotConfirmContainerRemoval                               = "could not confirm container removal"
	PolicerCouldNotInhumeObjectWithMissingContainer                      = "could not inhume object with missing container"
	PolicerCouldNotBuildPlacementVectorForObject                         = "could not build placement vector for object"
	PolicerRedundantLocalObjectCopyDetected                              = "redundant local object copy detected"
	PolicerReceiveObjectHeaderToCheckPolicyCompliance                    = "receive object header to check policy compliance"
	PolicerConsiderNodeUnderMaintenanceAsOK                              = "consider node under maintenance as OK"
	PolicerShortageOfObjectCopiesDetected                                = "shortage of object copies detected"
	PolicerSomeOfTheCopiesAreStoredOnNodesUnderMaintenance               = "some of the copies are stored on nodes under maintenance, save local copy"
	PolicerRoutineStopped                                                = "routine stopped"
	PolicerFailureAtObjectSelectForReplication                           = "failure at object select for replication"
	PolicerPoolSubmission                                                = "pool submission"
	PolicerUnableToProcessObj                                            = "unable to process object"
	ReplicatorFinishWork                                                 = "finish work"
	ReplicatorCouldNotGetObjectFromLocalStorage                          = "could not get object from local storage"
	ReplicatorCouldNotReplicateObject                                    = "could not replicate object"
	ReplicatorObjectSuccessfullyReplicated                               = "object successfully replicated"
	TreeRedirectingTreeServiceQuery                                      = "redirecting tree service query"
	TreeBearerPresentedButNotAllowedByACL                                = "bearer presented but not allowed by ACL"
	TreeCouldNotGetLastSynchronizedHeightForATree                        = "could not get last synchronized height for a tree"
	TreeCouldNotUpdateLastSynchronizedHeightForATree                     = "could not update last synchronized height for a tree"
	TreeSynchronizeTree                                                  = "synchronize tree"
	TreeFailedToRunTreeSynchronizationOverAllNodes                       = "failed to run tree synchronization over all nodes"
	TreeFailedToRunTreeSynchronizationForSpecificNode                    = "failed to run tree synchronization for specific node"
	TreeFailedToParseAddressForTreeSynchronization                       = "failed to parse address for tree synchronization"
	TreeFailedToConnectForTreeSynchronization                            = "failed to connect for tree synchronization"
	TreeSyncingTrees                                                     = "syncing trees..."
	TreeCouldNotFetchContainers                                          = "could not fetch containers"
	TreeTreesHaveBeenSynchronized                                        = "trees have been synchronized"
	TreeSyncingContainerTrees                                            = "syncing container trees..."
	TreeCouldNotSyncTrees                                                = "could not sync trees"
	TreeContainerTreesHaveBeenSynced                                     = "container trees have been synced"
	TreeCouldNotQueryTreesForSynchronization                             = "could not query trees for synchronization"
	TreeRemovingRedundantTrees                                           = "removing redundant trees..."
	TreeCouldNotCheckIfContainerExisted                                  = "could not check if the container ever existed"
	TreeCouldNotRemoveRedundantTree                                      = "could not remove redundant tree"
	TreeCouldNotCalculateContainerNodes                                  = "could not calculate container nodes"
	TreeFailedToApplyReplicatedOperation                                 = "failed to apply replicated operation"
	TreeDoNotSendUpdateToTheNode                                         = "do not send update to the node"
	TreeFailedToSentUpdateToTheNode                                      = "failed to sent update to the node"
	TreeErrorDuringReplication                                           = "error during replication"
	PersistentCouldNotGetSessionFromPersistentStorage                    = "could not get session from persistent storage"
	PersistentCouldNotDeleteSToken                                       = "could not delete token"
	PersistentCouldNotCleanUpExpiredTokens                               = "could not clean up expired tokens"
	TombstoneCouldNotGetTheTombstoneTheSource                            = "tombstone getter: could not get the tombstone the source"
	DeleteNoSplitInfoObjectIsPHY                                         = "no split info, object is PHY"
	DeleteAssemblingChain                                                = "assembling chain..."
	DeleteCollectingChildren                                             = "collecting children..."
	DeleteSupplementBySplitID                                            = "supplement by split ID"
	DeleteFormingTombstoneStructure                                      = "forming tombstone structure..."
	DeleteTombstoneStructureSuccessfullyFormedSaving                     = "tombstone structure successfully formed, saving..."
	DeleteFormingSplitInfo                                               = "forming split info..."
	DeleteSplitInfoSuccessfullyFormedCollectingMembers                   = "split info successfully formed, collecting members..."
	DeleteMembersSuccessfullyCollected                                   = "members successfully collected"
	DeleteECObjectReceived                                               = "erasure-coded object received, form tombstone"
	GetRemoteCallFailed                                                  = "remote call failed"
	GetCanNotAssembleTheObject                                           = "can not assemble the object"
	GetTryingToAssembleTheObject                                         = "trying to assemble the object..."
	GetTryingToAssembleTheECObject                                       = "trying to assemble the ec object..."
	GetAssemblingSplittedObject                                          = "assembling splitted object..."
	GetAssemblingECObject                                                = "assembling erasure-coded object..."
	GetUnableToGetAllPartsECObject                                       = "unable to get all parts, continue to reconstruct with existed"
	GetUnableToGetPartECObject                                           = "unable to get part of the erasure-encoded object"
	GetUnableToHeadPartECObject                                          = "unable to head part of the erasure-encoded object"
	GetUnableToGetECObjectContainer                                      = "unable to get container for erasure-coded object"
	GetUnableToHeadPartsECObject                                         = "unable to head parts of the erasure-encoded object"
	GetAssemblingSplittedObjectCompleted                                 = "assembling splitted object completed"
	GetAssemblingECObjectCompleted                                       = "assembling erasure-coded object completed"
	GetFailedToAssembleSplittedObject                                    = "failed to assemble splitted object"
	GetFailedToAssembleECObject                                          = "failed to assemble erasure-coded object"
	GetCouldNotGenerateContainerTraverser                                = "could not generate container traverser"
	GetCouldNotConstructRemoteNodeClient                                 = "could not construct remote node client"
	GetCouldNotWriteHeader                                               = "could not write header"
	GetCouldNotWritePayloadChunk                                         = "could not write payload chunk"
	GetLocalGetFailed                                                    = "local get failed"
	GetReturnResultDirectly                                              = "return result directly"
	GetCompletingTheOperation                                            = "completing the operation"
	GetRequestedObjectWasMarkedAsRemoved                                 = "requested object was marked as removed"
	GetRequestedObjectIsVirtual                                          = "requested object is virtual"
	GetRequestedObjectIsEC                                               = "requested object is erasure-coded"
	GetRequestedRangeIsOutOfObjectBounds                                 = "requested range is out of object bounds"
	GetUnexpectedECObject                                                = "failed to get EC object from node: expected EC info, but got full object"
	PutAdditionalContainerBroadcastFailure                               = "additional container broadcast failure"
	SearchReturnResultDirectly                                           = "return result directly"
	SearchCouldNotConstructRemoteNodeClient                              = "could not construct remote node client"
	SearchRemoteOperationFailed                                          = "remote operation failed"
	SearchCouldNotGenerateContainerTraverser                             = "could not generate container traverser"
	SearchCouldNotWriteObjectIdentifiers                                 = "could not write object identifiers"
	SearchLocalOperationFailed                                           = "local operation failed"
	UtilObjectServiceError                                               = "object service error"
	UtilCouldNotPushTaskToWorkerPool                                     = "could not push task to worker pool"
	V2CantCheckIfRequestFromInnerRing                                    = "can't check if request from inner ring"
	V2CantCheckIfRequestFromContainerNode                                = "can't check if request from container node"
	ClientCouldNotRestoreBlockSubscriptionAfterRPCSwitch                 = "could not restore block subscription after RPC switch"
	ClientCouldNotRestoreNotificationSubscriptionAfterRPCSwitch          = "could not restore notification subscription after RPC switch"
	ClientCouldNotRestoreNotaryNotificationSubscriptionAfterRPCSwitch    = "could not restore notary notification subscription after RPC switch"
	ClientCouldNotEstablishConnectionToTheSwitchedRPCNode                = "could not establish connection to the switched RPC node"
	ClientConnectionToTheNewRPCNodeHasBeenEstablished                    = "connection to the new RPC node has been established"
	ClientCouldNotCreateClientToTheHigherPriorityNode                    = "could not create client to the higher priority node"
	ClientSwitchedToTheHigherPriorityRPC                                 = "switched to the higher priority RPC"
	ClientNotaryDepositHasAlreadyBeenMade                                = "notary deposit has already been made"
	ClientNotaryDepositInvoke                                            = "notary deposit invoke"
	ClientNotaryRequestWithPreparedMainTXInvoked                         = "notary request with prepared main TX invoked"
	ClientNotaryRequestInvoked                                           = "notary request invoked"
	ClientNotaryDepositTransactionWasSuccessfullyPersisted               = "notary deposit transaction was successfully persisted"
	ClientAttemptToWaitForNotaryDepositTransactionToGetPersisted         = "attempt to wait for notary deposit transaction to get persisted"
	ClientNeoClientInvoke                                                = "neo client invoke"
	ClientNativeGasTransferInvoke                                        = "native gas transfer invoke"
	ClientBatchGasTransferInvoke                                         = "batch gas transfer invoke"
	ClientCantGetBlockchainHeight                                        = "can't get blockchain height"
	ClientCantGetBlockchainHeight243                                     = "can't get blockchain height"
	EventCouldNotSubmitHandlerToWorkerPool                               = "could not Submit handler to worker pool"
	EventCouldNotStartListenToEvents                                     = "could not start listen to events"
	EventStopEventListenerByError                                        = "stop event listener by error"
	EventStopEventListenerByContext                                      = "stop event listener by context"
	EventStopEventListenerByNotificationChannel                          = "stop event listener by notification channel"
	EventNilNotificationEventWasCaught                                   = "nil notification event was caught"
	EventStopEventListenerByNotaryChannel                                = "stop event listener by notary channel"
	EventNilNotaryEventWasCaught                                         = "nil notary event was caught"
	EventStopEventListenerByBlockChannel                                 = "stop event listener by block channel"
	EventNilBlockWasCaught                                               = "nil block was caught"
	EventListenerWorkerPoolDrained                                       = "listener worker pool drained"
	EventEventParserNotSet                                               = "event parser not set"
	EventCouldNotParseNotificationEvent                                  = "could not parse notification event"
	EventNotificationHandlersForParsedNotificationEventWereNotRegistered = "notification handlers for parsed notification event were not registered"
	EventSkipExpiredMainTXNotaryEvent                                    = "skip expired main TX notary event"
	EventCouldNotPrepareAndValidateNotaryEvent                           = "could not prepare and validate notary event"
	EventNotaryParserNotSet                                              = "notary parser not set"
	EventCouldNotParseNotaryEvent                                        = "could not parse notary event"
	EventNotaryHandlersForParsedNotificationEventWereNotRegistered       = "notary handlers for parsed notification event were not registered"
	EventIgnoreNilEventParser                                            = "ignore nil event parser"
	EventListenerHasBeenAlreadyStartedIgnoreParser                       = "listener has been already started, ignore parser"
	EventRegisteredNewEventParser                                        = "registered new event parser"
	EventIgnoreNilEventHandler                                           = "ignore nil event handler"
	EventIgnoreHandlerOfEventWoParser                                    = "ignore handler of event w/o parser"
	EventRegisteredNewEventHandler                                       = "registered new event handler"
	EventIgnoreNilNotaryEventParser                                      = "ignore nil notary event parser"
	EventListenerHasBeenAlreadyStartedIgnoreNotaryParser                 = "listener has been already started, ignore notary parser"
	EventIgnoreNilNotaryEventHandler                                     = "ignore nil notary event handler"
	EventIgnoreHandlerOfNotaryEventWoParser                              = "ignore handler of notary event w/o parser"
	EventIgnoreNilBlockHandler                                           = "ignore nil block handler"
	StorageOperation                                                     = "local object storage operation"
	BlobovniczaCreatingDirectoryForBoltDB                                = "creating directory for BoltDB"
	BlobovniczaOpeningBoltDB                                             = "opening BoltDB"
	BlobovniczaInitializing                                              = "initializing..."
	BlobovniczaAlreadyInitialized                                        = "already initialized"
	BlobovniczaCreatingBucketForSizeRange                                = "creating bucket for size range"
	BlobovniczaClosingBoltDB                                             = "closing BoltDB"
	BlobovniczaObjectWasRemovedFromBucket                                = "object was removed from bucket"
	BlobstorOpening                                                      = "opening..."
	BlobstorInitializing                                                 = "initializing..."
	BlobstorClosing                                                      = "closing..."
	BlobstorCouldntCloseStorage                                          = "couldn't close storage"
	BlobstorErrorOccurredDuringObjectExistenceChecking                   = "error occurred during object existence checking"
	BlobstorErrorOccurredDuringTheIteration                              = "error occurred during the iteration"
	EngineShardHasBeenRemoved                                            = "shard has been removed"
	EngineCouldNotCloseRemovedShard                                      = "could not close removed shard"
	EngineCouldNotOpenShardClosingAndSkipping                            = "could not open shard, closing and skipping"
	EngineCouldNotClosePartiallyInitializedShard                         = "could not close partially initialized shard"
	EngineCouldNotInitializeShardClosingAndSkipping                      = "could not initialize shard, closing and skipping"
	EngineCouldNotCloseShard                                             = "could not close shard"
	EngineCouldNotReloadAShard                                           = "could not reload a shard"
	EngineAddedNewShard                                                  = "added new shard"
	EngineCouldNotPutObjectToShard                                       = "could not put object to shard"
	EngineCouldNotCheckObjectExistence                                   = "could not check object existence when put object to shard"
	EngineErrorDuringSearchingForObjectChildren                          = "error during searching for object children"
	EngineCouldNotInhumeObjectInShard                                    = "could not inhume object in shard"
	EngineStartingRemovalOfLocallyredundantCopies                        = "starting removal of locally-redundant copies"
	EngineStartedDuplicatesRemovalRoutine                                = "started duplicates removal routine"
	EngineFinishedRemovalOfLocallyredundantCopies                        = "finished removal of locally-redundant copies"
	EngineRemovingAnObjectWithoutFullLockingCheck                        = "removing an object without full locking check"
	EngineInterruptProcessingTheExpiredLocks                             = "interrupt processing the expired locks"
	EngineInterruptGettingLockers                                        = "can't get object's lockers"
	EngineInterruptProcessingTheDeletedLocks                             = "interrupt processing the deleted locks"
	EngineFailedToMoveShardInDegradedreadonlyModeMovingToReadonly        = "failed to move shard in degraded-read-only mode, moving to read-only"
	EngineFailedToMoveShardInReadonlyMode                                = "failed to move shard in read-only mode"
	EngineShardIsMovedInReadonlyModeDueToErrorThreshold                  = "shard is moved in read-only mode due to error threshold"
	EngineShardIsMovedInDegradedModeDueToErrorThreshold                  = "shard is moved in degraded mode due to error threshold"
	EngineModeChangeIsInProgressIgnoringSetmodeRequest                   = "mode change is in progress, ignoring set-mode request"
	EngineStartedShardsEvacuation                                        = "started shards evacuation"
	EngineFinishedSuccessfullyShardsEvacuation                           = "shards evacuation finished successfully"
	EngineFinishedWithErrorShardsEvacuation                              = "shards evacuation finished with error"
	EngineObjectIsMovedToAnotherShard                                    = "object is moved to another shard"
	MetabaseMissingMatcher                                               = "missing matcher"
	MetabaseErrorInFKBTSelection                                         = "error in FKBT selection"
	MetabaseCantDecodeListBucketLeaf                                     = "can't decode list bucket leaf"
	MetabaseUnknownOperation                                             = "unknown operation"
	MetabaseCantIterateOverTheBucket                                     = "can't iterate over the bucket"
	MetabaseCouldNotIterateOverTheBuckets                                = "could not iterate over the buckets"
	MetabaseCreatedDirectoryForMetabase                                  = "created directory for Metabase"
	MetabaseOpenedBoltDBInstanceForMetabase                              = "opened boltDB instance for Metabase"
	MetabaseCheckingMetabaseVersion                                      = "checking metabase version"
	ShardCantSelectAllObjects                                            = "can't select all objects"
	ShardSettingShardMode                                                = "setting shard mode"
	ShardShardModeSetSuccessfully                                        = "shard mode set successfully"
	ShardFetchingObjectWithoutMeta                                       = "fetching object without meta"
	ShardObjectIsMissingInWritecache                                     = "object is missing in write-cache"
	ShardFailedToFetchObjectFromWritecache                               = "failed to fetch object from write-cache"
	ShardCantPutObjectToTheWritecacheTryingBlobstor                      = "can't put object to the write-cache, trying blobstor"
	ShardMetaObjectCounterRead                                           = "meta: object counter read"
	ShardMetaCantReadContainerList                                       = "meta: can't read container list"
	ShardMetaCantReadContainerSize                                       = "meta: can't read container size"
	ShardMetaInfoPresentButObjectNotFound                                = "meta info was present, but the object is missing"
	ShardMetabaseFailureSwitchingMode                                    = "metabase failure, switching mode"
	ShardCantMoveShardToReadonlySwitchMode                               = "can't move shard to readonly, switch mode"
	ShardCouldNotUnmarshalObject                                         = "could not unmarshal object"
	ShardCouldNotCloseShardComponent                                     = "could not close shard component"
	ShardCantOpenMetabaseMoveToADegradedMode                             = "can't open metabase, move to a degraded mode"
	ShardCantInitializeMetabaseMoveToADegradedreadonlyMode               = "can't initialize metabase, move to a degraded-read-only mode"
	ShardStopEventListenerByClosedEventChannel                           = "stop event listener by closed `event` channel"
	ShardStopEventListenerByClosedStopChannel                            = "stop event listener by closed `stop` channel"
	ShardEventProcessingInProgress                                       = "event processing is in progress, skip the received"
	ShardStopEventListenerByContext                                      = "stop event listener by context"
	ShardCouldNotSubmitGCJobToWorkerPool                                 = "could not submit GC job to worker pool"
	ShardGCIsStopped                                                     = "GC is stopped"
	ShardWaitingForGCWorkersToStop                                       = "waiting for GC workers to stop..."
	ShardIteratorOverMetabaseGraveyardFailed                             = "iterator over metabase graveyard failed"
	ShardCouldNotDeleteTheObjects                                        = "could not delete the objects"
	ShardIteratorOverExpiredObjectsFailed                                = "iterator over expired objects failed"
	ShardCouldNotInhumeTheObjects                                        = "could not inhume the objects"
	ShardStartedExpiredTombstonesHandling                                = "started expired tombstones handling"
	ShardIteratingTombstones                                             = "iterating tombstones"
	ShardShardIsInADegradedModeSkipCollectingExpiredTombstones           = "shard is in a degraded mode, skip collecting expired tombstones"
	ShardIteratorOverGraveyardFailed                                     = "iterator over graveyard failed"
	ShardHandlingExpiredTombstonesBatch                                  = "handling expired tombstones batch"
	ShardFinishedExpiredTombstonesHandling                               = "finished expired tombstones handling"
	ShardIteratorOverExpiredLocksFailed                                  = "iterator over expired locks failed"
	ShardCouldNotMarkTombstonesAsGarbage                                 = "could not mark tombstones as garbage"
	ShardCouldNotDropExpiredGraveRecords                                 = "could not drop expired grave records"
	ShardFailureToUnlockObjects                                          = "failure to unlock objects"
	ShardFailureToMarkLockersAsGarbage                                   = "failure to mark lockers as garbage"
	ShardFailureToGetExpiredUnlockedObjects                              = "failure to get expired unlocked objects"
	ShardCouldNotMarkObjectToDeleteInMetabase                            = "could not mark object to delete in metabase"
	WritecacheTriedToFlushItemsFromWritecache                            = "tried to flush items from write-cache"
	WritecacheWaitingForChannelsToFlush                                  = "waiting for channels to flush"
	WritecacheCantRemoveObjectsFromTheDatabase                           = "can't remove objects from the database"
	WritecacheCantRemoveObjectFromWritecache                             = "can't remove object from write-cache"
	BlobovniczatreeCouldNotGetObjectFromLevel                            = "could not get object from level"
	BlobovniczatreeCouldNotCloseBlobovnicza                              = "could not close Blobovnicza"
	BlobovniczatreeCouldNotRemoveObjectFromLevel                         = "could not remove object from level"
	BlobovniczatreeCouldNotGetActiveBlobovnicza                          = "could not get active blobovnicza"
	BlobovniczatreeBlobovniczaOverflowed                                 = "blobovnicza overflowed"
	BlobovniczatreeCouldNotPutObjectToActiveBlobovnicza                  = "could not put object to active blobovnicza"
	BlobovniczatreeInitializingBlobovniczas                              = "initializing Blobovnicza's"
	BlobovniczatreeReadonlyModeSkipBlobovniczasInitialization            = "read-only mode, skip blobovniczas initialization..."
	BlobovniczatreeBlobovniczaSuccessfullyInitializedClosing             = "blobovnicza successfully initialized, closing..."
	AlphabetTick                                                         = "tick"
	AlphabetAlphabetProcessorWorkerPoolDrained                           = "alphabet processor worker pool drained"
	AlphabetNonAlphabetModeIgnoreGasEmissionEvent                        = "non alphabet mode, ignore gas emission event"
	AlphabetNodeIsOutOfAlphabetRangeIgnoreGasEmissionEvent               = "node is out of alphabet range, ignore gas emission event"
	AlphabetCantInvokeAlphabetEmitMethod                                 = "can't invoke alphabet emit method"
	AlphabetStorageNodeEmissionIsOff                                     = "storage node emission is off"
	AlphabetCantGetNetmapSnapshotToEmitGasToStorageNodes                 = "can't get netmap snapshot to emit gas to storage nodes"
	AlphabetGasEmission                                                  = "gas emission"
	AlphabetCantParseNodePublicKey                                       = "can't parse node public key"
	AlphabetCantTransferGas                                              = "can't transfer gas"
	AlphabetCantTransferGasToWallet                                      = "can't transfer gas to wallet"
	AlphabetAlphabetWorkerPool                                           = "alphabet worker pool"
	BalanceBalanceWorkerPoolDrained                                      = "balance worker pool drained"
	BalanceNonAlphabetModeIgnoreBalanceLock                              = "non alphabet mode, ignore balance lock"
	BalanceCantSendLockAssetTx                                           = "can't send lock asset tx"
	BalanceBalanceWorkerPool                                             = "balance worker pool"
	ContainerContainerWorkerPool                                         = "container worker pool"
	ContainerContainerProcessorWorkerPoolDrained                         = "container processor worker pool drained"
	ContainerNonAlphabetModeIgnoreContainerPut                           = "non alphabet mode, ignore container put"
	ContainerPutContainerCheckFailed                                     = "put container check failed"
	ContainerCouldNotApprovePutContainer                                 = "could not approve put container"
	ContainerNonAlphabetModeIgnoreContainerDelete                        = "non alphabet mode, ignore container delete"
	ContainerDeleteContainerCheckFailed                                  = "delete container check failed"
	ContainerCouldNotApproveDeleteContainer                              = "could not approve delete container"
	ContainerNonAlphabetModeIgnoreSetEACL                                = "non alphabet mode, ignore set EACL"
	ContainerSetEACLCheckFailed                                          = "set EACL check failed"
	ContainerCouldNotApproveSetEACL                                      = "could not approve set EACL"
	FrostFSNonAlphabetModeIgnoreConfig                                   = "non alphabet mode, ignore config"
	FrostFSCantRelaySetConfigEvent                                       = "can't relay set config event"
	FrostFSFrostfsWorkerPool                                             = "frostfs worker pool"
	FrostFSFrostfsProcessorWorkerPoolDrained                             = "frostfs processor worker pool drained"
	FrostFSNonAlphabetModeIgnoreDeposit                                  = "non alphabet mode, ignore deposit"
	FrostFSCantTransferAssetsToBalanceContract                           = "can't transfer assets to balance contract"
	FrostFSDoubleMintEmissionDeclined                                    = "double mint emission declined"
	FrostFSCantGetGasBalanceOfTheNode                                    = "can't get gas balance of the node"
	FrostFSGasBalanceThresholdHasBeenReached                             = "gas balance threshold has been reached"
	FrostFSCantTransferNativeGasToReceiver                               = "can't transfer native gas to receiver"
	FrostFSNonAlphabetModeIgnoreWithdraw                                 = "non alphabet mode, ignore withdraw"
	FrostFSCantCreateLockAccount                                         = "can't create lock account"
	FrostFSCantLockAssetsForWithdraw                                     = "can't lock assets for withdraw"
	FrostFSNonAlphabetModeIgnoreCheque                                   = "non alphabet mode, ignore cheque"
	FrostFSCantTransferAssetsToFedContract                               = "can't transfer assets to fed contract"
	GovernanceNewEvent                                                   = "new event"
	GovernanceGovernanceWorkerPoolDrained                                = "governance worker pool drained"
	GovernanceNonAlphabetModeIgnoreAlphabetSync                          = "non alphabet mode, ignore alphabet sync"
	GovernanceCantFetchAlphabetListFromMainNet                           = "can't fetch alphabet list from main net"
	GovernanceCantFetchAlphabetListFromSideChain                         = "can't fetch alphabet list from side chain"
	GovernanceCantMergeAlphabetListsFromMainNetAndSideChain              = "can't merge alphabet lists from main net and side chain"
	GovernanceNoGovernanceUpdateAlphabetListHasNotBeenChanged            = "no governance update, alphabet list has not been changed"
	GovernanceAlphabetListHasBeenChangedStartingUpdate                   = "alphabet list has been changed, starting update"
	GovernanceCantVoteForSideChainCommittee                              = "can't vote for side chain committee"
	GovernanceFinishedAlphabetListUpdate                                 = "finished alphabet list update"
	GovernanceCantFetchInnerRingListFromSideChain                        = "can't fetch inner ring list from side chain"
	GovernanceCantCreateNewInnerRingListWithNewAlphabetKeys              = "can't create new inner ring list with new alphabet keys"
	GovernanceUpdateOfTheInnerRingList                                   = "update of the inner ring list"
	GovernanceCantUpdateInnerRingListWithNewAlphabetKeys                 = "can't update inner ring list with new alphabet keys"
	GovernanceCantUpdateListOfNotaryNodesInSideChain                     = "can't update list of notary nodes in side chain"
	GovernanceCantUpdateListOfAlphabetNodesInFrostfsContract             = "can't update list of alphabet nodes in frostfs contract"
	NetmapNetmapWorkerPool                                               = "netmap worker pool"
	NetmapTick                                                           = "tick"
	NetmapNetmapWorkerPoolDrained                                        = "netmap worker pool drained"
	NetmapNetmapCleanUpRoutineIsDisabled518                              = "netmap clean up routine is disabled"
	NetmapNonAlphabetModeIgnoreNewNetmapCleanupTick                      = "non alphabet mode, ignore new netmap cleanup tick"
	NetmapCantDecodePublicKeyOfNetmapNode                                = "can't decode public key of netmap node"
	NetmapVoteToRemoveNodeFromNetmap                                     = "vote to remove node from netmap"
	NetmapCantInvokeNetmapUpdateState                                    = "can't invoke netmap.UpdateState"
	NetmapCantIterateOnNetmapCleanerCache                                = "can't iterate on netmap cleaner cache"
	NetmapCantGetEpochDuration                                           = "can't get epoch duration"
	NetmapCantGetTransactionHeight                                       = "can't get transaction height"
	NetmapCantResetEpochTimer                                            = "can't reset epoch timer"
	NetmapCantGetNetmapSnapshotToPerformCleanup                          = "can't get netmap snapshot to perform cleanup"
	NetmapCantStartContainerSizeEstimation                               = "can't start container size estimation"
	NetmapNonAlphabetModeIgnoreNewEpochTick                              = "non alphabet mode, ignore new epoch tick"
	NetmapNextEpoch                                                      = "next epoch"
	NetmapCantInvokeNetmapNewEpoch                                       = "can't invoke netmap.NewEpoch"
	NetmapNonAlphabetModeIgnoreNewPeerNotification                       = "non alphabet mode, ignore new peer notification"
	NetmapNonhaltNotaryTransaction                                       = "non-halt notary transaction"
	NetmapCantParseNetworkMapCandidate                                   = "can't parse network map candidate"
	NetmapCouldNotVerifyAndUpdateInformationAboutNetworkMapCandidate     = "could not verify and update information about network map candidate"
	NetmapApprovingNetworkMapCandidate                                   = "approving network map candidate"
	NetmapCantInvokeNetmapAddPeer                                        = "can't invoke netmap.AddPeer"
	NetmapNonAlphabetModeIgnoreUpdatePeerNotification                    = "non alphabet mode, ignore update peer notification"
	NetmapPreventSwitchingNodeToMaintenanceState                         = "prevent switching node to maintenance state"
	NetmapCantInvokeNetmapUpdatePeer                                     = "can't invoke netmap.UpdatePeer"
	FrostFSIRInternalError                                               = "internal error"
	FrostFSIRCouldNotShutdownHTTPServer                                  = "could not shutdown HTTP server"
	FrostFSIRApplicationStopped                                          = "application stopped"
	FrostFSIRCouldntCreateRPCClientForEndpoint                           = "could not create RPC client for endpoint"
	FrostFSIRCreatedRPCClientForEndpoint                                 = "created RPC client for endpoint"
	FrostFSIRReloadExtraWallets                                          = "reload extra wallets"
	FrostFSNodeStartListeningEndpoint                                    = "start listening endpoint"
	FrostFSNodeCouldNotReadCertificateFromFile                           = "could not read certificate from file"
	FrostFSNodeCantListenGRPCEndpoint                                    = "can't listen gRPC endpoint"
	FrostFSNodeStopListeningGRPCEndpoint                                 = "stop listening gRPC endpoint"
	FrostFSNodeStoppingGRPCServer                                        = "stopping gRPC server..."
	FrostFSNodeGRPCCannotShutdownGracefullyForcingStop                   = "gRPC cannot shutdown gracefully, forcing stop"
	FrostFSNodeGRPCServerStoppedSuccessfully                             = "gRPC server stopped successfully"
	FrostFSNodeGRPCServerError                                           = "gRPC server error"
	FrostFSNodeGRPCReconnecting                                          = "reconnecting gRPC server..."
	FrostFSNodeGRPCReconnectedSuccessfully                               = "gRPC server reconnected successfully"
	FrostFSNodeGRPCServerConfigNotFound                                  = "gRPC server config not found"
	FrostFSNodeGRPCReconnectFailed                                       = "failed to reconnect gRPC server"
	FrostFSNodeWaitingForAllProcessesToStop                              = "waiting for all processes to stop"
	FrostFSNodeStartedLocalNodesMaintenance                              = "started local node's maintenance"
	FrostFSNodeStoppedLocalNodesMaintenance                              = "stopped local node's maintenance"
	FrostFSNodeFailedToAttachShardToEngine                               = "failed to attach shard to engine"
	FrostFSNodeShardAttachedToEngine                                     = "shard attached to engine"
	FrostFSNodeClosingComponentsOfTheStorageEngine                       = "closing components of the storage engine..."
	FrostFSNodeAccessPolicyEngineClosingFailure                          = "ape closing failure"
	FrostFSNodeStorageEngineClosingFailure                               = "storage engine closing failure"
	FrostFSNodePersistentRuleStorageDBPathIsNotSetInmemoryWillBeUsed     = "persistent rule storage db path is not set: in-memory will be used"
	FrostFSNodeAllComponentsOfTheStorageEngineClosedSuccessfully         = "all components of the storage engine closed successfully"
	FrostFSNodeBootstrappingWithTheMaintenanceState                      = "bootstrapping with the maintenance state"
	FrostFSNodeBootstrappingWithOnlineState                              = "bootstrapping with online state"
	FrostFSNodeTerminationSignalHasBeenReceivedStopping                  = "termination signal has been received, stopping..."
	FrostFSNodeTerminationSignalProcessingIsComplete                     = "termination signal processing is complete"
	FrostFSNodeInternalApplicationError                                  = "internal application error"
	FrostFSNodeInternalErrorProcessingIsComplete                         = "internal error processing is complete"
	FrostFSNodeSIGHUPHasBeenReceivedRereadingConfiguration               = "SIGHUP has been received, rereading configuration..."
	FrostFSNodeSIGHUPSkip                                                = "node is not ready for reconfiguration, skipped SIGHUP"
	FrostFSNodeShutdownSkip                                              = "node is already shutting down, skipped shutdown"
	FrostFSNodeShutdownWhenNotReady                                      = "node is going to shut down when subsystems are still initializing"
	FrostFSNodeConfigurationReading                                      = "configuration reading"
	FrostFSNodeLoggerConfigurationPreparation                            = "logger configuration preparation"
	FrostFSNodeTracingConfigationUpdated                                 = "tracing configation updated"
	FrostFSNodeStorageEngineConfigurationUpdate                          = "storage engine configuration update"
	FrostFSNodePoolConfigurationUpdate                                   = "adjust pool configuration"
	FrostFSNodeUpdatedConfigurationApplying                              = "updated configuration applying"
	FrostFSNodeConfigurationHasBeenReloadedSuccessfully                  = "configuration has been reloaded successfully"
	FrostFSNodeReadNewlyCreatedContainerAfterTheNotification             = "read newly created container after the notification"
	FrostFSNodeContainerCreationEventsReceipt                            = "container creation event's receipt"
	FrostFSNodeContainerRemovalEventsReceipt                             = "container removal event's receipt"
	FrostFSNodeNotificatorCouldNotListContainers                         = "notificator: could not list containers"
	FrostFSNodeNotificatorCouldNotSelectObjectsFromContainer             = "notificator: could not select objects from container"
	FrostFSNodeNotificatorCouldNotProcessObject                          = "notificator: could not process object"
	FrostFSNodeNotificatorFinishedProcessingObjectNotifications          = "notificator: finished processing object notifications"
	FrostFSNodeCouldNotWriteObjectNotification                           = "could not write object notification"
	FrostFSNodeCouldNotGetMaxObjectSizeValue                             = "could not get max object size value"
	FrostFSNodeCouldNotInhumeMarkRedundantCopyAsGarbage                  = "could not inhume mark redundant copy as garbage"
	FrostFSNodeFailedInitTracing                                         = "failed init tracing"
	FrostFSNodeFailedShutdownTracing                                     = "failed shutdown tracing"
	FrostFSNodeFailedToCreateNeoRPCClient                                = "failed to create neo RPC client"
	FrostFSNodeClosingMorphComponents                                    = "closing morph components..."
	FrostFSNodeFailedToSetGroupSignerScopeContinueWithGlobal             = "failed to set group signer scope, continue with Global"
	FrostFSNodeNotarySupport                                             = "notary support"
	FrostFSNodeMorphcacheTTLFetchedFromNetwork                           = "morph.cache_ttl fetched from network"
	FrostFSNodeNotaryDepositHasAlreadyBeenMade                           = "notary deposit has already been made"
	FrostFSNodeCantGetLastProcessedSideChainBlockNumber                  = "can't get last processed side chain block number"
	FrostFSNodeNewEpochEventFromSidechain                                = "new epoch event from sidechain"
	FrostFSNodeNewBlock                                                  = "new block"
	FrostFSNodeCantUpdatePersistentState                                 = "can't update persistent state"
	FrostFSNodeCantSendRebootstrapTx                                     = "can't send re-bootstrap tx"
	FrostFSNodeCouldNotUpdateNodeStateOnNewEpoch                         = "could not update node state on new epoch"
	FrostFSNodeCouldNotMakeNotaryDeposit                                 = "could not make notary deposit"
	FrostFSNodeInitialNetworkState                                       = "initial network state"
	FrostFSNodeTreeServiceIsNotEnabledSkipInitialization                 = "tree service is not enabled, skip initialization"
	FrostFSNodeCouldNotSynchronizeTreeService                            = "could not synchronize Tree Service"
	FrostFSNodeRemovingAllTreesForContainer                              = "removing all trees for container"
	FrostFSNodeContainerRemovalEventReceivedButTreesWerentRemoved        = "container removal event received, but trees weren't removed"
	FrostFSNodeCantListenGRPCEndpointControl                             = "can't listen gRPC endpoint (control)"
	FrostFSNodePolicerIsDisabled                                         = "policer is disabled"
	CommonApplicationStarted                                             = "application started"
	ShardGCCollectingExpiredObjectsStarted                               = "collecting expired objects started"
	ShardGCCollectingExpiredObjectsCompleted                             = "collecting expired objects completed"
	ShardGCCollectingExpiredLocksStarted                                 = "collecting expired locks started"
	ShardGCCollectingExpiredLocksCompleted                               = "collecting expired locks completed"
	ShardGCRemoveGarbageStarted                                          = "garbage remove started"
	ShardGCRemoveGarbageCompleted                                        = "garbage remove completed"
	EngineShardsEvacuationFailedToCount                                  = "failed to get total objects count to evacuate"
	EngineShardsEvacuationFailedToListObjects                            = "failed to list objects to evacuate"
	EngineShardsEvacuationFailedToReadObject                             = "failed to read object to evacuate"
	EngineShardsEvacuationFailedToMoveObject                             = "failed to evacuate object to other node"
	ShardGCFailedToGetExpiredWithLinked                                  = "failed to get expired objects with linked"
	FrostFSNodeNodeIsUnderMaintenanceSkipInitialBootstrap                = "the node is under maintenance, skip initial bootstrap"
	EngineCouldNotChangeShardModeToDisabled                              = "could not change shard mode to disabled"
	RPConnectionLost                                                     = "RPC connection lost, attempting reconnect"
	RPCNodeSwitchFailure                                                 = "can't switch RPC node"
	FSTreeCantUnmarshalObject                                            = "can't unmarshal an object"
	FSTreeCantFushObjectBlobstor                                         = "can't flush an object to blobstor"
	FSTreeCantUpdateID                                                   = "can't update object storage ID"
	FSTreeCantDecodeDBObjectAddress                                      = "can't decode object address from the DB"
	PutSingleRedirectFailure                                             = "failed to redirect PutSingle request"
	StorageIDRetrievalFailure                                            = "can't get storage ID from metabase"
	ObjectRemovalFailureBlobStor                                         = "can't remove object from blobStor"
	CandidateStatusPriority                                              = "candidate status is different from the netmap status, the former takes priority"
	TombstoneExpirationParseFailure                                      = "tombstone getter: could not parse tombstone expiration epoch"
	RuntimeSoftMemoryLimitUpdated                                        = "soft runtime memory limit value updated"
	RuntimeSoftMemoryDefinedWithGOMEMLIMIT                               = "soft runtime memory defined with GOMEMLIMIT environment variable, config value skipped"
	AttemtToCloseAlreadyClosedBlobovnicza                                = "attempt to close an already closed blobovnicza"
	FailedToGetContainerCounters                                         = "failed to get container counters values"
	FailedToRebuildBlobstore                                             = "failed to rebuild blobstore"
	BlobstoreRebuildStarted                                              = "blobstore rebuild started"
	BlobstoreRebuildCompletedSuccessfully                                = "blobstore rebuild completed successfully"
	BlobstoreRebuildStopped                                              = "blobstore rebuild stopped"
	BlobstorRebuildFailedToRebuildStorages                               = "failed to rebuild storages"
	BlobstorRebuildRebuildStoragesCompleted                              = "storages rebuild completed"
	BlobovniczaTreeCollectingDBToRebuild                                 = "collecting blobovniczas to rebuild..."
	BlobovniczaTreeCollectingDBToRebuildFailed                           = "collecting blobovniczas to rebuild failed"
	BlobovniczaTreeCollectingDBToRebuildSuccess                          = "collecting blobovniczas to rebuild completed successfully"
	BlobovniczaTreeRebuildingBlobovnicza                                 = "rebuilding blobovnicza..."
	BlobovniczaTreeRebuildingBlobovniczaFailed                           = "rebuilding blobovnicza failed"
	BlobovniczaTreeRebuildingBlobovniczaSuccess                          = "rebuilding blobovnicza completed successfully"
	BlobovniczatreeCouldNotPutMoveInfoToSourceBlobovnicza                = "could not put move info to source blobovnicza"
	BlobovniczatreeCouldNotUpdateStorageID                               = "could not update storage ID"
	BlobovniczatreeCouldNotDropMoveInfo                                  = "could not drop move info from source blobovnicza"
	BlobovniczatreeCouldNotDeleteFromSource                              = "could not delete object from source blobovnicza"
	BlobovniczaTreeCompletingPreviousRebuild                             = "completing previous rebuild if failed..."
	BlobovniczaTreeCompletedPreviousRebuildSuccess                       = "previous rebuild completed successfully"
	BlobovniczaTreeCompletedPreviousRebuildFailed                        = "failed to complete previous rebuild"
	BlobovniczatreeCouldNotCheckExistenceInTargetDB                      = "could not check object existence in target blobovnicza"
	BlobovniczatreeCouldNotPutObjectToTargetDB                           = "could not put object to target blobovnicza"
	BlobovniczaSavingCountersToMeta                                      = "saving counters to blobovnicza's meta..."
	BlobovniczaSavingCountersToMetaSuccess                               = "saving counters to blobovnicza's meta completed successfully"
	BlobovniczaSavingCountersToMetaFailed                                = "saving counters to blobovnicza's meta failed"
	ObjectRemovalFailureExistsInWritecache                               = "can't remove object: object must be flushed from writecache"
	FailedToReportStatusToSystemd                                        = "failed to report status to systemd"
	ShardGCCollectingExpiredMetricsStarted                               = "collecting expired metrics started"
	ShardGCCollectingExpiredMetricsCompleted                             = "collecting expired metrics completed"
	ShardGCFailedToCollectZeroSizeContainers                             = "failed to collect zero-size containers"
	ShardGCFailedToCollectZeroCountContainers                            = "failed to collect zero-count containers"
	EngineFailedToCheckContainerAvailability                             = "failed to check container availability"
	EngineFailedToGetContainerSize                                       = "failed to get container size"
	EngineFailedToDeleteContainerSize                                    = "failed to delete container size"
	EngineInterruptProcessingZeroSizeContainers                          = "interrupt processing zero-size containers"
	EngineInterruptProcessingZeroCountContainers                         = "interrupt processing zero-count containers"
	EngineFailedToGetContainerCounters                                   = "failed to get container counters"
	GetSvcV2FailedToParseNodeEndpoints                                   = "failed to parse node endpoints"
	GetSvcV2FailedToParseNodeExternalAddresses                           = "failed to parse node external addresses"
	GetSvcV2FailedToGetRangeHashFromNode                                 = "failed to get range hash from node"
	GetSvcV2FailedToGetRangeHashFromAllOfContainerNodes                  = "failed to get range hash from all of container nodes"
	FailedToUpdateShardID                                                = "failed to update shard id"
	EngineShardsEvacuationFailedToMoveTree                               = "failed to evacuate tree to other node"
	EngineShardsEvacuationTreeEvacuatedLocal                             = "tree evacuated to local node"
	EngineShardsEvacuationTreeEvacuatedRemote                            = "tree evacuated to other node"
	EngineRefillFailedToGetObjectsCount                                  = "failed to get blobstor objects count, no resync percent estimation is available"
	ECFailedToSendToContainerNode                                        = "failed to send EC object to container node"
	ECFailedToSaveECPart                                                 = "failed to save EC part"
	PolicerNodeIsNotECObjectNode                                         = "current node is not EC object node"
	PolicerFailedToGetLocalECChunks                                      = "failed to get local EC chunks"
	PolicerMissingECChunk                                                = "failed to find EC chunk on any of the nodes"
	PolicerFailedToDecodeECChunkID                                       = "failed to decode EC chunk ID"
	PolicerDifferentObjectIDForTheSameECChunk                            = "different object IDs for the same EC chunk"
	ReplicatorCouldNotGetObjectFromRemoteStorage                         = "could not get object from remote storage"
	ReplicatorCouldNotPutObjectToLocalStorage                            = "could not put object to local storage"
	PolicerCouldNotGetObjectFromNodeMoving                               = "could not get EC object from the node, moving current chunk to the node"
	PolicerCouldNotRestoreObjectNotEnoughChunks                          = "could not restore EC object: not enough chunks"
	PolicerFailedToRestoreObject                                         = "failed to restore EC object"
	PolicerCouldNotGetChunk                                              = "could not get EC chunk"
	PolicerCouldNotGetChunks                                             = "could not get EC chunks"
	AuditEventLogRecord                                                  = "audit event log record"
	StartedWritecacheSealAsync                                           = "started writecache seal async"
	WritecacheSealCompletedAsync                                         = "writecache seal completed successfully"
	FailedToSealWritecacheAsync                                          = "failed to seal writecache async"
	WritecacheShrinkSkippedNotEmpty                                      = "writecache shrink skipped: not empty"
	BlobovniczatreeFailedToRemoveRebuildTempFile                         = "failed to remove rebuild temp file"
	WritecacheCantGetObject                                              = "can't get an object from fstree"
)
