package metrics

import (
	"git.frostfs.info/TrueCloudLab/frostfs-observability/metrics"
	"github.com/prometheus/client_golang/prometheus"
)

type ApplicationInfo struct {
	versionValue *prometheus.GaugeVec
}

func NewApplicationInfo(version string) *ApplicationInfo {
	appInfo := &ApplicationInfo{
		versionValue: metrics.NewGaugeVec(prometheus.GaugeOpts{
			Name: "app_info",
			Help: "General information about the application.",
		}, []string{"version"}),
	}
	appInfo.versionValue.With(prometheus.Labels{"version": version})
	return appInfo
}
